Merging r6274 through r6281 from branch releases/1.8 to trunk.

- Updates bzip2 to 1.0.8 (which sadly didn't reduce the amount of compile warnings, but let's hope it still improves something)


git-svn-id: svn://svn.code.sf.net/p/irrlicht/code/trunk@6282 dfc29bdd-3216-0410-991c-e03cc46cb475
This commit is contained in:
cutealien 2022-01-07 15:45:58 +00:00
parent b11c4c142c
commit 30b78dab9b
33 changed files with 265 additions and 238 deletions

View File

@ -337,6 +337,7 @@ Changes in 1.9 (not yet released)
-------------------------- --------------------------
Changes in 1.8.6 Changes in 1.8.6
- Update library bzip2 from 1.0.6 to 1.0.8
- Security: Fix buffer overflow caused by malformed md2 files. Thanks @procfs for reporting (https://irrlicht.sourceforge.io/forum/viewtopic.php?f=7&t=52785) - Security: Fix buffer overflow caused by malformed md2 files. Thanks @procfs for reporting (https://irrlicht.sourceforge.io/forum/viewtopic.php?f=7&t=52785)
- Makefile now only adds CFLAGS instead of overwriting them. - Makefile now only adds CFLAGS instead of overwriting them.
- Several spelling fixes (Patch #455). Thanks @J. Puydt - Several spelling fixes (Patch #455). Thanks @J. Puydt

View File

@ -2,8 +2,8 @@
This file is part of bzip2/libbzip2, a program and library for This file is part of bzip2/libbzip2, a program and library for
lossless, block-sorting data compression. lossless, block-sorting data compression.
bzip2/libbzip2 version 1.0.6 of 6 September 2010 bzip2/libbzip2 version 1.0.8 of 13 July 2019
Copyright (C) 1996-2010 Julian Seward <jseward@bzip.org> Copyright (C) 1996-2019 Julian Seward <jseward@acm.org>
Please read the WARNING, DISCLAIMER and PATENTS sections in the Please read the WARNING, DISCLAIMER and PATENTS sections in the
README file. README file.
@ -325,3 +325,32 @@ Security fix only. Fixes CERT-FI 20469 as it applies to bzip2.
Izdebski. Izdebski.
* Make the documentation build on Ubuntu 10.04 * Make the documentation build on Ubuntu 10.04
1.0.7 (27 Jun 19)
~~~~~~~~~~~~~~~~~
* Fix undefined behavior in the macros SET_BH, CLEAR_BH, & ISSET_BH
* bzip2: Fix return value when combining --test,-t and -q.
* bzip2recover: Fix buffer overflow for large argv[0]
* bzip2recover: Fix use after free issue with outFile (CVE-2016-3189)
* Make sure nSelectors is not out of range (CVE-2019-12900)
1.0.8 (13 Jul 19)
~~~~~~~~~~~~~~~~~
* Accept as many selectors as the file format allows.
This relaxes the fix for CVE-2019-12900 from 1.0.7
so that bzip2 allows decompression of bz2 files that
use (too) many selectors again.
* Fix handling of large (> 4GB) files on Windows.
* Cleanup of bzdiff and bzgrep scripts so they don't use
any bash extensions and handle multiple archives correctly.
* There is now a bz2-files testsuite at
https://sourceware.org/git/bzip2-tests.git

View File

@ -2,7 +2,7 @@
-------------------------------------------------------------------------- --------------------------------------------------------------------------
This program, "bzip2", the associated library "libbzip2", and all This program, "bzip2", the associated library "libbzip2", and all
documentation, are copyright (C) 1996-2010 Julian R Seward. All documentation, are copyright (C) 1996-2019 Julian R Seward. All
rights reserved. rights reserved.
Redistribution and use in source and binary forms, with or without Redistribution and use in source and binary forms, with or without
@ -36,7 +36,7 @@ WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
Julian Seward, jseward@bzip.org Julian Seward, jseward@acm.org
bzip2/libbzip2 version 1.0.6 of 6 September 2010 bzip2/libbzip2 version 1.0.8 of 13 July 2019
-------------------------------------------------------------------------- --------------------------------------------------------------------------

View File

@ -2,8 +2,8 @@
# This file is part of bzip2/libbzip2, a program and library for # This file is part of bzip2/libbzip2, a program and library for
# lossless, block-sorting data compression. # lossless, block-sorting data compression.
# #
# bzip2/libbzip2 version 1.0.6 of 6 September 2010 # bzip2/libbzip2 version 1.0.8 of 13 July 2019
# Copyright (C) 1996-2010 Julian Seward <jseward@bzip.org> # Copyright (C) 1996-2019 Julian Seward <jseward@acm.org>
# #
# Please read the WARNING, DISCLAIMER and PATENTS sections in the # Please read the WARNING, DISCLAIMER and PATENTS sections in the
# README file. # README file.
@ -137,7 +137,7 @@ bzip2recover.o: bzip2recover.c
distclean: clean distclean: clean
rm -f manual.ps manual.html manual.pdf rm -f manual.ps manual.html manual.pdf
DISTNAME=bzip2-1.0.6 DISTNAME=bzip2-1.0.8
dist: check manual dist: check manual
rm -f $(DISTNAME) rm -f $(DISTNAME)
ln -s -f . $(DISTNAME) ln -s -f . $(DISTNAME)

View File

@ -1,6 +1,6 @@
# This Makefile builds a shared version of the library, # This Makefile builds a shared version of the library,
# libbz2.so.1.0.6, with soname libbz2.so.1.0, # libbz2.so.1.0.8, with soname libbz2.so.1.0,
# at least on x86-Linux (RedHat 7.2), # at least on x86-Linux (RedHat 7.2),
# with gcc-2.96 20000731 (Red Hat Linux 7.1 2.96-98). # with gcc-2.96 20000731 (Red Hat Linux 7.1 2.96-98).
# Please see the README file for some important info # Please see the README file for some important info
@ -10,8 +10,8 @@
# This file is part of bzip2/libbzip2, a program and library for # This file is part of bzip2/libbzip2, a program and library for
# lossless, block-sorting data compression. # lossless, block-sorting data compression.
# #
# bzip2/libbzip2 version 1.0.6 of 6 September 2010 # bzip2/libbzip2 version 1.0.8 of 13 July 2019
# Copyright (C) 1996-2010 Julian Seward <jseward@bzip.org> # Copyright (C) 1996-2019 Julian Seward <jseward@acm.org>
# #
# Please read the WARNING, DISCLAIMER and PATENTS sections in the # Please read the WARNING, DISCLAIMER and PATENTS sections in the
# README file. # README file.
@ -35,13 +35,13 @@ OBJS= blocksort.o \
bzlib.o bzlib.o
all: $(OBJS) all: $(OBJS)
$(CC) -shared -Wl,-soname -Wl,libbz2.so.1.0 -o libbz2.so.1.0.6 $(OBJS) $(CC) -shared -Wl,-soname -Wl,libbz2.so.1.0 -o libbz2.so.1.0.8 $(OBJS)
$(CC) $(CFLAGS) -o bzip2-shared bzip2.c libbz2.so.1.0.6 $(CC) $(CFLAGS) -o bzip2-shared bzip2.c libbz2.so.1.0.8
rm -f libbz2.so.1.0 rm -f libbz2.so.1.0
ln -s libbz2.so.1.0.6 libbz2.so.1.0 ln -s libbz2.so.1.0.8 libbz2.so.1.0
clean: clean:
rm -f $(OBJS) bzip2.o libbz2.so.1.0.6 libbz2.so.1.0 bzip2-shared rm -f $(OBJS) bzip2.o libbz2.so.1.0.8 libbz2.so.1.0 bzip2-shared
blocksort.o: blocksort.c blocksort.o: blocksort.c
$(CC) $(CFLAGS) -c blocksort.c $(CC) $(CFLAGS) -c blocksort.c

View File

@ -6,8 +6,8 @@ This version is fully compatible with the previous public releases.
This file is part of bzip2/libbzip2, a program and library for This file is part of bzip2/libbzip2, a program and library for
lossless, block-sorting data compression. lossless, block-sorting data compression.
bzip2/libbzip2 version 1.0.6 of 6 September 2010 bzip2/libbzip2 version 1.0.8 of 13 July 2019
Copyright (C) 1996-2010 Julian Seward <jseward@bzip.org> Copyright (C) 1996-2019 Julian Seward <jseward@acm.org>
Please read the WARNING, DISCLAIMER and PATENTS sections in this file. Please read the WARNING, DISCLAIMER and PATENTS sections in this file.
@ -73,7 +73,7 @@ HOW TO BUILD -- Windows 95, NT, DOS, Mac, etc.
It's difficult for me to support compilation on all these platforms. It's difficult for me to support compilation on all these platforms.
My approach is to collect binaries for these platforms, and put them My approach is to collect binaries for these platforms, and put them
on the master web site (http://www.bzip.org). Look there. However on the master web site (https://sourceware.org/bzip2/). Look there. However
(FWIW), bzip2-1.0.X is very standard ANSI C and should compile (FWIW), bzip2-1.0.X is very standard ANSI C and should compile
unmodified with MS Visual C. If you have difficulties building, you unmodified with MS Visual C. If you have difficulties building, you
might want to read README.COMPILATION.PROBLEMS. might want to read README.COMPILATION.PROBLEMS.
@ -161,43 +161,22 @@ WHAT'S NEW IN 0.9.5 ?
* Many small improvements in file and flag handling. * Many small improvements in file and flag handling.
* A Y2K statement. * A Y2K statement.
WHAT'S NEW IN 1.0.0 ? WHAT'S NEW IN 1.0.x ?
See the CHANGES file. See the CHANGES file.
WHAT'S NEW IN 1.0.2 ? I hope you find bzip2 useful. Feel free to contact the developers at
bzip2-devel@sourceware.org
See the CHANGES file.
WHAT'S NEW IN 1.0.3 ?
See the CHANGES file.
WHAT'S NEW IN 1.0.4 ?
See the CHANGES file.
WHAT'S NEW IN 1.0.5 ?
See the CHANGES file.
WHAT'S NEW IN 1.0.6 ?
See the CHANGES file.
I hope you find bzip2 useful. Feel free to contact me at
jseward@bzip.org
if you have any suggestions or queries. Many people mailed me with if you have any suggestions or queries. Many people mailed me with
comments, suggestions and patches after the releases of bzip-0.15, comments, suggestions and patches after the releases of bzip-0.15,
bzip-0.21, and bzip2 versions 0.1pl2, 0.9.0, 0.9.5, 1.0.0, 1.0.1, bzip-0.21, and bzip2 versions 0.1pl2, 0.9.0, 0.9.5, 1.0.0, 1.0.1,
1.0.2 and 1.0.3, and the changes in bzip2 are largely a result of this 1.0.2 and 1.0.3, and the changes in bzip2 are largely a result of this
feedback. I thank you for your comments. feedback. I thank you for your comments.
bzip2's "home" is http://www.bzip.org/ bzip2's "home" is https://sourceware.org/bzip2/
Julian Seward Julian Seward
jseward@bzip.org jseward@acm.org
Cambridge, UK. Cambridge, UK.
18 July 1996 (version 0.15) 18 July 1996 (version 0.15)
@ -213,3 +192,5 @@ Cambridge, UK.
20 December 2006 (bzip2, version 1.0.4) 20 December 2006 (bzip2, version 1.0.4)
10 December 2007 (bzip2, version 1.0.5) 10 December 2007 (bzip2, version 1.0.5)
6 Sept 2010 (bzip2, version 1.0.6) 6 Sept 2010 (bzip2, version 1.0.6)
27 June 2019 (bzip2, version 1.0.7)
13 July 2019 (bzip2, version 1.0.8)

View File

@ -2,8 +2,8 @@
This file is part of bzip2/libbzip2, a program and library for This file is part of bzip2/libbzip2, a program and library for
lossless, block-sorting data compression. lossless, block-sorting data compression.
bzip2/libbzip2 version 1.0.6 of 6 September 2010 bzip2/libbzip2 version 1.0.8 of 13 July 2019
Copyright (C) 1996-2010 Julian Seward <jseward@bzip.org> Copyright (C) 1996-2019 Julian Seward <jseward@acm.org>
Please read the WARNING, DISCLAIMER and PATENTS sections in the Please read the WARNING, DISCLAIMER and PATENTS sections in the
README file. README file.
@ -12,7 +12,7 @@ This program is released under the terms of the license contained
in the file LICENSE. in the file LICENSE.
------------------------------------------------------------------ ------------------------------------------------------------------
bzip2-1.0.6 should compile without problems on the vast majority of bzip2 should compile without problems on the vast majority of
platforms. Using the supplied Makefile, I've built and tested it platforms. Using the supplied Makefile, I've built and tested it
myself for x86-linux and amd64-linux. With makefile.msc, Visual C++ myself for x86-linux and amd64-linux. With makefile.msc, Visual C++
6.0 and nmake, you can build a native Win32 version too. Large file 6.0 and nmake, you can build a native Win32 version too. Large file

View File

@ -2,8 +2,8 @@
This file is part of bzip2/libbzip2, a program and library for This file is part of bzip2/libbzip2, a program and library for
lossless, block-sorting data compression. lossless, block-sorting data compression.
bzip2/libbzip2 version 1.0.6 of 6 September 2010 bzip2/libbzip2 version 1.0.8 of 13 July 2019
Copyright (C) 1996-2010 Julian Seward <jseward@bzip.org> Copyright (C) 1996-2019 Julian Seward <jseward@acm.org>
Please read the WARNING, DISCLAIMER and PATENTS sections in the Please read the WARNING, DISCLAIMER and PATENTS sections in the
README file. README file.

View File

@ -8,8 +8,8 @@
This file is part of bzip2/libbzip2, a program and library for This file is part of bzip2/libbzip2, a program and library for
lossless, block-sorting data compression. lossless, block-sorting data compression.
bzip2/libbzip2 version 1.0.6 of 6 September 2010 bzip2/libbzip2 version 1.0.8 of 13 July 2019
Copyright (C) 1996-2010 Julian Seward <jseward@bzip.org> Copyright (C) 1996-2019 Julian Seward <jseward@acm.org>
Please read the WARNING, DISCLAIMER and PATENTS sections in the Please read the WARNING, DISCLAIMER and PATENTS sections in the
README file. README file.
@ -202,9 +202,9 @@ void fallbackQSort3 ( UInt32* fmap,
bhtab [ 0 .. 2+(nblock/32) ] destroyed bhtab [ 0 .. 2+(nblock/32) ] destroyed
*/ */
#define SET_BH(zz) bhtab[(zz) >> 5] |= (1 << ((zz) & 31)) #define SET_BH(zz) bhtab[(zz) >> 5] |= ((UInt32)1 << ((zz) & 31))
#define CLEAR_BH(zz) bhtab[(zz) >> 5] &= ~(1 << ((zz) & 31)) #define CLEAR_BH(zz) bhtab[(zz) >> 5] &= ~((UInt32)1 << ((zz) & 31))
#define ISSET_BH(zz) (bhtab[(zz) >> 5] & (1 << ((zz) & 31))) #define ISSET_BH(zz) (bhtab[(zz) >> 5] & ((UInt32)1 << ((zz) & 31)))
#define WORD_BH(zz) bhtab[(zz) >> 5] #define WORD_BH(zz) bhtab[(zz) >> 5]
#define UNALIGNED_BH(zz) ((zz) & 0x01f) #define UNALIGNED_BH(zz) ((zz) & 0x01f)

View File

@ -7,11 +7,14 @@
<xsl:import href="http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl"/> <xsl:import href="http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl"/>
<xsl:import href="bz-common.xsl"/> <xsl:import href="bz-common.xsl"/>
<!-- use 8859-1 encoding --> <!-- use UTF-8 encoding -->
<xsl:output method="html" encoding="ISO-8859-1" indent="yes"/> <xsl:output method="html" encoding="UTF-8" indent="yes"/>
<!-- we include the css directly when generating one large file --> <!-- we include the css as link and directly when generating one large file -->
<xsl:template name="user.head.content"> <xsl:template name="user.head.content">
<xsl:text disable-output-escaping="yes">
<![CDATA[<]]>link rel="stylesheet" type="text/css" href="bzip.css" />
</xsl:text>
<style type="text/css" media="screen"> <style type="text/css" media="screen">
<xsl:text>&bz-css;</xsl:text> <xsl:text>&bz-css;</xsl:text>
</style> </style>

View File

@ -8,8 +8,8 @@
This file is part of bzip2/libbzip2, a program and library for This file is part of bzip2/libbzip2, a program and library for
lossless, block-sorting data compression. lossless, block-sorting data compression.
bzip2/libbzip2 version 1.0.6 of 6 September 2010 bzip2/libbzip2 version 1.0.8 of 13 July 2019
Copyright (C) 1996-2010 Julian Seward <jseward@bzip.org> Copyright (C) 1996-2019 Julian Seward <jseward@acm.org>
Please read the WARNING, DISCLAIMER and PATENTS sections in the Please read the WARNING, DISCLAIMER and PATENTS sections in the
README file. README file.
@ -454,7 +454,7 @@ void sendMTFValues ( EState* s )
AssertH( nGroups < 8, 3002 ); AssertH( nGroups < 8, 3002 );
AssertH( nSelectors < 32768 && AssertH( nSelectors < 32768 &&
nSelectors <= (2 + (900000 / BZ_G_SIZE)), nSelectors <= BZ_MAX_SELECTORS,
3003 ); 3003 );

View File

@ -37,10 +37,6 @@ if test -z "$FILES"; then
echo "Usage: $prog [${comp}_options] file [file]" echo "Usage: $prog [${comp}_options] file [file]"
exit 1 exit 1
fi fi
tmp=`mktemp ${TMPDIR:-/tmp}/bzdiff.XXXXXXXXXX` || {
echo 'cannot create a temporary file' >&2
exit 1
}
set $FILES set $FILES
if test $# -eq 1; then if test $# -eq 1; then
FILE=`echo "$1" | sed 's/.bz2$//'` FILE=`echo "$1" | sed 's/.bz2$//'`
@ -53,10 +49,14 @@ elif test $# -eq 2; then
case "$2" in case "$2" in
*.bz2) *.bz2)
F=`echo "$2" | sed 's|.*/||;s|.bz2$||'` F=`echo "$2" | sed 's|.*/||;s|.bz2$||'`
bzip2 -cdfq "$2" > $tmp tmp=`mktemp "${TMPDIR:-/tmp}"/bzdiff.XXXXXXXXXX` || {
bzip2 -cdfq "$1" | $comp $OPTIONS - $tmp echo 'cannot create a temporary file' >&2
exit 1
}
bzip2 -cdfq "$2" > "$tmp"
bzip2 -cdfq "$1" | $comp $OPTIONS - "$tmp"
STAT="$?" STAT="$?"
/bin/rm -f $tmp;; /bin/rm -f "$tmp";;
*) bzip2 -cdfq "$1" | $comp $OPTIONS - "$2" *) bzip2 -cdfq "$1" | $comp $OPTIONS - "$2"
STAT="$?";; STAT="$?";;
@ -69,8 +69,8 @@ elif test $# -eq 2; then
STAT="$?";; STAT="$?";;
esac;; esac;;
esac esac
exit "$STAT"
else else
echo "Usage: $prog [${comp}_options] file [file]" echo "Usage: $prog [${comp}_options] file [file]"
exit 1 exit 1
fi fi
exit "$STAT"

View File

@ -63,12 +63,22 @@ for i do
bzip2 -cdfq "$i" | $grep $opt "$pat" bzip2 -cdfq "$i" | $grep $opt "$pat"
r=$? r=$?
else else
j=${i//\\/\\\\} j=$(echo "$i" | sed 's/\\/&&/g;s/|/\\&/g;s/&/\\&/g')
j=${j//|/\\|}
j=${j//&/\\&}
j=`printf "%s" "$j" | tr '\n' ' '` j=`printf "%s" "$j" | tr '\n' ' '`
bzip2 -cdfq "$i" | $grep $opt "$pat" | sed "s|^|${j}:|" # A trick adapted from
r=$? # https://groups.google.com/forum/#!original/comp.unix.shell/x1345iu10eg/Nn1n-1r1uU0J
# that has the same effect as the following bash code:
# bzip2 -cdfq "$i" | $grep $opt "$pat" | sed "s|^|${j}:|"
# r=${PIPESTATUS[1]}
exec 3>&1
eval `
exec 4>&1 >&3 3>&-
{
bzip2 -cdfq "$i" 4>&-
} | {
$grep $opt "$pat" 4>&-; echo "r=$?;" >&4
} | sed "s|^|${j}:|"
`
fi fi
test "$r" -ne 0 && res="$r" test "$r" -ne 0 && res="$r"
done done

View File

@ -25,7 +25,7 @@ dd {
/* -- ruler -- */ /* -- ruler -- */
div.hr_blue { div.hr_blue {
height: 3px; height: 3px;
background:#ffffff url("/images/hr_blue.png") repeat-x; } background:#ffffff url("../images/hr_blue.png") repeat-x; }
div.hr_blue hr { display:none; } div.hr_blue hr { display:none; }
/* release styles */ /* release styles */
@ -38,7 +38,7 @@ div.hr_blue hr { display:none; }
ul { ul {
margin: 0px 4px 16px 16px; margin: 0px 4px 16px 16px;
padding: 0px; padding: 0px;
list-style: url("/images/li-blue.png"); list-style: url("../images/li-blue.png");
} }
ul li { ul li {
margin-bottom: 10px; margin-bottom: 10px;

View File

@ -1,7 +1,7 @@
.PU .PU
.TH bzip2 1 .TH bzip2 1
.SH NAME .SH NAME
bzip2, bunzip2 \- a block-sorting file compressor, v1.0.6 bzip2, bunzip2 \- a block-sorting file compressor, v1.0.8
.br .br
bzcat \- decompresses files to stdout bzcat \- decompresses files to stdout
.br .br
@ -405,7 +405,7 @@ I/O error messages are not as helpful as they could be.
tries hard to detect I/O errors and exit cleanly, but the details of tries hard to detect I/O errors and exit cleanly, but the details of
what the problem is sometimes seem rather misleading. what the problem is sometimes seem rather misleading.
This manual page pertains to version 1.0.6 of This manual page pertains to version 1.0.8 of
.I bzip2. .I bzip2.
Compressed data created by this version is entirely forwards and Compressed data created by this version is entirely forwards and
backwards compatible with the previous public releases, versions backwards compatible with the previous public releases, versions
@ -427,9 +427,9 @@ with MaybeUInt64 set to be an unsigned 64-bit integer.
.SH AUTHOR .SH AUTHOR
Julian Seward, jsewardbzip.org. Julian Seward, jseward@acm.org.
http://www.bzip.org https://sourceware.org/bzip2/
The ideas embodied in The ideas embodied in
.I bzip2 .I bzip2

View File

@ -3,7 +3,7 @@ bzip2(1) bzip2(1)
NNAAMMEE NNAAMMEE
bzip2, bunzip2 a blocksorting file compressor, v1.0.6 bzip2, bunzip2 a blocksorting file compressor, v1.0.8
bzcat decompresses files to stdout bzcat decompresses files to stdout
bzip2recover recovers data from damaged bzip2 files bzip2recover recovers data from damaged bzip2 files
@ -348,7 +348,7 @@ CCAAVVEEAATTSS
but the details of what the problem is sometimes seem but the details of what the problem is sometimes seem
rather misleading. rather misleading.
This manual page pertains to version 1.0.6 of _b_z_i_p_2_. Com­ This manual page pertains to version 1.0.8 of _b_z_i_p_2_. Com­
pressed data created by this version is entirely forwards pressed data created by this version is entirely forwards
and backwards compatible with the previous public and backwards compatible with the previous public
releases, versions 0.1pl2, 0.9.0, 0.9.5, 1.0.0, 1.0.1, releases, versions 0.1pl2, 0.9.0, 0.9.5, 1.0.0, 1.0.1,
@ -372,9 +372,9 @@ CCAAVVEEAATTSS
AAUUTTHHOORR AAUUTTHHOORR
Julian Seward, jsewardbzip.org. Julian Seward, jseward@acm.org.
http://www.bzip.org https://sourceware.org/bzip2/
The ideas embodied in _b_z_i_p_2 are due to (at least) the fol­ The ideas embodied in _b_z_i_p_2 are due to (at least) the fol­
lowing people: Michael Burrows and David Wheeler (for the lowing people: Michael Burrows and David Wheeler (for the

View File

@ -7,8 +7,8 @@
This file is part of bzip2/libbzip2, a program and library for This file is part of bzip2/libbzip2, a program and library for
lossless, block-sorting data compression. lossless, block-sorting data compression.
bzip2/libbzip2 version 1.0.6 of 6 September 2010 bzip2/libbzip2 version 1.0.8 of 13 July 2019
Copyright (C) 1996-2010 Julian Seward <jseward@bzip.org> Copyright (C) 1996-2019 Julian Seward <jseward@acm.org>
Please read the WARNING, DISCLAIMER and PATENTS sections in the Please read the WARNING, DISCLAIMER and PATENTS sections in the
README file. README file.
@ -128,12 +128,12 @@
#if BZ_LCCWIN32 #if BZ_LCCWIN32
# include <io.h> # include <io.h>
# include <fcntl.h> # include <fcntl.h>
# include <sys\stat.h> # include <sys/stat.h>
# define NORETURN /**/ # define NORETURN /**/
# define PATH_SEP '\\' # define PATH_SEP '\\'
# define MY_LSTAT _stat # define MY_LSTAT _stati64
# define MY_STAT _stat # define MY_STAT _stati64
# define MY_S_ISREG(x) ((x) & _S_IFREG) # define MY_S_ISREG(x) ((x) & _S_IFREG)
# define MY_S_ISDIR(x) ((x) & _S_IFDIR) # define MY_S_ISDIR(x) ((x) & _S_IFDIR)
@ -554,7 +554,7 @@ static
Bool testStream ( FILE *zStream ) Bool testStream ( FILE *zStream )
{ {
BZFILE* bzf = NULL; BZFILE* bzf = NULL;
Int32 bzerr, bzerr_dummy, ret, nread, streamNo, i; Int32 bzerr, bzerr_dummy, ret, streamNo, i;
UChar obuf[5000]; UChar obuf[5000];
UChar unused[BZ_MAX_UNUSED]; UChar unused[BZ_MAX_UNUSED];
Int32 nUnused; Int32 nUnused;
@ -577,7 +577,7 @@ Bool testStream ( FILE *zStream )
streamNo++; streamNo++;
while (bzerr == BZ_OK) { while (bzerr == BZ_OK) {
nread = BZ2_bzRead ( &bzerr, bzf, obuf, 5000 ); BZ2_bzRead ( &bzerr, bzf, obuf, 5000 );
if (bzerr == BZ_DATA_ERROR_MAGIC) goto errhandler; if (bzerr == BZ_DATA_ERROR_MAGIC) goto errhandler;
} }
if (bzerr != BZ_STREAM_END) goto errhandler; if (bzerr != BZ_STREAM_END) goto errhandler;
@ -748,8 +748,8 @@ void panic ( const Char* s )
fprintf ( stderr, fprintf ( stderr,
"\n%s: PANIC -- internal consistency error:\n" "\n%s: PANIC -- internal consistency error:\n"
"\t%s\n" "\t%s\n"
"\tThis is a BUG. Please report it to me at:\n" "\tThis is a BUG. Please report it to:\n"
"\tjseward@bzip.org\n", "\tbzip2-devel@sourceware.org\n",
progName, s ); progName, s );
showFileNames(); showFileNames();
cleanUpAndFail( 3 ); cleanUpAndFail( 3 );
@ -829,7 +829,7 @@ void mySIGSEGVorSIGBUScatcher ( IntNative n )
" The user's manual, Section 4.3, has more info on (1) and (2).\n" " The user's manual, Section 4.3, has more info on (1) and (2).\n"
" \n" " \n"
" If you suspect this is a bug in bzip2, or are unsure about (1)\n" " If you suspect this is a bug in bzip2, or are unsure about (1)\n"
" or (2), feel free to report it to me at: jseward@bzip.org.\n" " or (2), feel free to report it to: bzip2-devel@sourceware.org.\n"
" Section 4.3 of the user's manual describes the info a useful\n" " Section 4.3 of the user's manual describes the info a useful\n"
" bug report should have. If the manual is available on your\n" " bug report should have. If the manual is available on your\n"
" system, please try and read it before mailing me. If you don't\n" " system, please try and read it before mailing me. If you don't\n"
@ -852,7 +852,7 @@ void mySIGSEGVorSIGBUScatcher ( IntNative n )
" The user's manual, Section 4.3, has more info on (2) and (3).\n" " The user's manual, Section 4.3, has more info on (2) and (3).\n"
" \n" " \n"
" If you suspect this is a bug in bzip2, or are unsure about (2)\n" " If you suspect this is a bug in bzip2, or are unsure about (2)\n"
" or (3), feel free to report it to me at: jseward@bzip.org.\n" " or (3), feel free to report it to: bzip2-devel@sourceware.org.\n"
" Section 4.3 of the user's manual describes the info a useful\n" " Section 4.3 of the user's manual describes the info a useful\n"
" bug report should have. If the manual is available on your\n" " bug report should have. If the manual is available on your\n"
" system, please try and read it before mailing me. If you don't\n" " system, please try and read it before mailing me. If you don't\n"
@ -1605,11 +1605,11 @@ void license ( void )
"bzip2, a block-sorting file compressor. " "bzip2, a block-sorting file compressor. "
"Version %s.\n" "Version %s.\n"
" \n" " \n"
" Copyright (C) 1996-2010 by Julian Seward.\n" " Copyright (C) 1996-2019 by Julian Seward.\n"
" \n" " \n"
" This program is free software; you can redistribute it and/or modify\n" " This program is free software; you can redistribute it and/or modify\n"
" it under the terms set out in the LICENSE file, which is included\n" " it under the terms set out in the LICENSE file, which is included\n"
" in the bzip2-1.0.6 source distribution.\n" " in the bzip2 source distribution.\n"
" \n" " \n"
" This program is distributed in the hope that it will be useful,\n" " This program is distributed in the hope that it will be useful,\n"
" but WITHOUT ANY WARRANTY; without even the implied warranty of\n" " but WITHOUT ANY WARRANTY; without even the implied warranty of\n"
@ -2003,12 +2003,14 @@ IntNative main ( IntNative argc, Char *argv[] )
testf ( aa->name ); testf ( aa->name );
} }
} }
if (testFailsExist && noisy) { if (testFailsExist) {
fprintf ( stderr, if (noisy) {
"\n" fprintf ( stderr,
"You can use the `bzip2recover' program to attempt to recover\n" "\n"
"data from undamaged sections of corrupted files.\n\n" "You can use the `bzip2recover' program to attempt to recover\n"
); "data from undamaged sections of corrupted files.\n\n"
);
}
setExit(2); setExit(2);
exit(exitValue); exit(exitValue);
} }

View File

@ -1,6 +1,6 @@
NAME NAME
bzip2, bunzip2 - a block-sorting file compressor, v1.0.6 bzip2, bunzip2 - a block-sorting file compressor, v1.0.8
bzcat - decompresses files to stdout bzcat - decompresses files to stdout
bzip2recover - recovers data from damaged bzip2 files bzip2recover - recovers data from damaged bzip2 files
@ -345,7 +345,7 @@ CAVEATS
but the details of what the problem is sometimes seem but the details of what the problem is sometimes seem
rather misleading. rather misleading.
This manual page pertains to version 1.0.6 of bzip2. Com- This manual page pertains to version 1.0.8 of bzip2. Com-
pressed data created by this version is entirely forwards pressed data created by this version is entirely forwards
and backwards compatible with the previous public and backwards compatible with the previous public
releases, versions 0.1pl2, 0.9.0, 0.9.5, 1.0.0, 1.0.1, releases, versions 0.1pl2, 0.9.0, 0.9.5, 1.0.0, 1.0.1,
@ -367,9 +367,9 @@ CAVEATS
AUTHOR AUTHOR
Julian Seward, jsewardbzip.org. Julian Seward, jseward@acm.org
http://www.bzip.org https://sourceware.org/bzip2/
The ideas embodied in bzip2 are due to (at least) the fol- The ideas embodied in bzip2 are due to (at least) the fol-
lowing people: Michael Burrows and David Wheeler (for the lowing people: Michael Burrows and David Wheeler (for the

View File

@ -7,8 +7,8 @@
This file is part of bzip2/libbzip2, a program and library for This file is part of bzip2/libbzip2, a program and library for
lossless, block-sorting data compression. lossless, block-sorting data compression.
bzip2/libbzip2 version 1.0.6 of 6 September 2010 bzip2/libbzip2 version 1.0.8 of 13 July 2019
Copyright (C) 1996-2010 Julian Seward <jseward@bzip.org> Copyright (C) 1996-2019 Julian Seward <jseward@acm.org>
Please read the WARNING, DISCLAIMER and PATENTS sections in the Please read the WARNING, DISCLAIMER and PATENTS sections in the
README file. README file.
@ -309,11 +309,12 @@ Int32 main ( Int32 argc, Char** argv )
UInt32 buffHi, buffLo, blockCRC; UInt32 buffHi, buffLo, blockCRC;
Char* p; Char* p;
strcpy ( progName, argv[0] ); strncpy ( progName, argv[0], BZ_MAX_FILENAME-1);
progName[BZ_MAX_FILENAME-1]='\0';
inFileName[0] = outFileName[0] = 0; inFileName[0] = outFileName[0] = 0;
fprintf ( stderr, fprintf ( stderr,
"bzip2recover 1.0.6: extracts blocks from damaged .bz2 files.\n" ); "bzip2recover 1.0.8: extracts blocks from damaged .bz2 files.\n" );
if (argc != 2) { if (argc != 2) {
fprintf ( stderr, "%s: usage is `%s damaged_file_name'.\n", fprintf ( stderr, "%s: usage is `%s damaged_file_name'.\n",
@ -457,6 +458,7 @@ Int32 main ( Int32 argc, Char** argv )
bsPutUChar ( bsWr, 0x50 ); bsPutUChar ( bsWr, 0x90 ); bsPutUChar ( bsWr, 0x50 ); bsPutUChar ( bsWr, 0x90 );
bsPutUInt32 ( bsWr, blockCRC ); bsPutUInt32 ( bsWr, blockCRC );
bsClose ( bsWr ); bsClose ( bsWr );
outFile = NULL;
} }
if (wrBlock >= rbCtr) break; if (wrBlock >= rbCtr) break;
wrBlock++; wrBlock++;

View File

@ -8,8 +8,8 @@
This file is part of bzip2/libbzip2, a program and library for This file is part of bzip2/libbzip2, a program and library for
lossless, block-sorting data compression. lossless, block-sorting data compression.
bzip2/libbzip2 version 1.0.6 of 6 September 2010 bzip2/libbzip2 version 1.0.8 of 13 July 2019
Copyright (C) 1996-2010 Julian Seward <jseward@bzip.org> Copyright (C) 1996-2019 Julian Seward <jseward@acm.org>
Please read the WARNING, DISCLAIMER and PATENTS sections in the Please read the WARNING, DISCLAIMER and PATENTS sections in the
README file. README file.
@ -43,12 +43,12 @@ void BZ2_bz__AssertH__fail ( int errcode )
fprintf(stderr, fprintf(stderr,
"\n\nbzip2/libbzip2: internal error number %d.\n" "\n\nbzip2/libbzip2: internal error number %d.\n"
"This is a bug in bzip2/libbzip2, %s.\n" "This is a bug in bzip2/libbzip2, %s.\n"
"Please report it to me at: jseward@bzip.org. If this happened\n" "Please report it to: bzip2-devel@sourceware.org. If this happened\n"
"when you were using some program which uses libbzip2 as a\n" "when you were using some program which uses libbzip2 as a\n"
"component, you should also report this bug to the author(s)\n" "component, you should also report this bug to the author(s)\n"
"of that program. Please make an effort to report this bug;\n" "of that program. Please make an effort to report this bug;\n"
"timely and accurate bug reports eventually lead to higher\n" "timely and accurate bug reports eventually lead to higher\n"
"quality software. Thanks. Julian Seward, 10 December 2007.\n\n", "quality software. Thanks.\n\n",
errcode, errcode,
BZ2_bzlibVersion() BZ2_bzlibVersion()
); );
@ -1375,11 +1375,7 @@ const char * BZ_API(BZ2_bzlibVersion)(void)
#if defined(_WIN32) || defined(OS2) || defined(MSDOS) #if defined(_WIN32) || defined(OS2) || defined(MSDOS)
# include <fcntl.h> # include <fcntl.h>
# include <io.h> # include <io.h>
#if _MSC_VER > 1410
# define SET_BINARY_MODE(file) _setmode(_fileno(file),O_BINARY)
#else
# define SET_BINARY_MODE(file) setmode(fileno(file),O_BINARY) # define SET_BINARY_MODE(file) setmode(fileno(file),O_BINARY)
#endif
#else #else
# define SET_BINARY_MODE(file) # define SET_BINARY_MODE(file)
#endif #endif
@ -1432,11 +1428,7 @@ BZFILE * bzopen_or_bzdopen
#ifdef BZ_STRICT_ANSI #ifdef BZ_STRICT_ANSI
fp = NULL; fp = NULL;
#else #else
#if _MSC_VER > 1410 fp = fdopen(fd,mode2);
fp = _fdopen(fd,mode2);
#else
fp = fdopen(fd,mode2);
#endif
#endif #endif
} }
if (fp == NULL) return NULL; if (fp == NULL) return NULL;

View File

@ -8,10 +8,10 @@
This file is part of bzip2/libbzip2, a program and library for This file is part of bzip2/libbzip2, a program and library for
lossless, block-sorting data compression. lossless, block-sorting data compression.
bzip2/libbzip2 version 1.0.6 of 6 September 2010 bzip2/libbzip2 version 1.0.8 of 13 July 2019
Copyright (C) 1996-2010 Julian Seward <jseward@bzip.org> Copyright (C) 1996-2019 Julian Seward <jseward@acm.org>
Please read the WARNING, DISCLAIMER and PATENTS sections in the Please read the WARNING, DISCLAIMER and PATENTS sections in the
README file. README file.
This program is released under the terms of the license contained This program is released under the terms of the license contained
@ -26,7 +26,7 @@
extern "C" { extern "C" {
#endif #endif
// we don't need the FILE* interface // We don't need the FILE* interface and it causes warnings in VisualStudio
#define BZ_NO_STDIO #define BZ_NO_STDIO
#define BZ_RUN 0 #define BZ_RUN 0
@ -48,7 +48,7 @@ extern "C" {
#define BZ_OUTBUFF_FULL (-8) #define BZ_OUTBUFF_FULL (-8)
#define BZ_CONFIG_ERROR (-9) #define BZ_CONFIG_ERROR (-9)
typedef typedef
struct { struct {
char *next_in; char *next_in;
unsigned int avail_in; unsigned int avail_in;
@ -65,7 +65,7 @@ typedef
void *(*bzalloc)(void *,int,int); void *(*bzalloc)(void *,int,int);
void (*bzfree)(void *,void *); void (*bzfree)(void *,void *);
void *opaque; void *opaque;
} }
bz_stream; bz_stream;
@ -100,34 +100,34 @@ typedef
/*-- Core (low-level) library functions --*/ /*-- Core (low-level) library functions --*/
BZ_EXTERN int BZ_API(BZ2_bzCompressInit) ( BZ_EXTERN int BZ_API(BZ2_bzCompressInit) (
bz_stream* strm, bz_stream* strm,
int blockSize100k, int blockSize100k,
int verbosity, int verbosity,
int workFactor int workFactor
); );
BZ_EXTERN int BZ_API(BZ2_bzCompress) ( BZ_EXTERN int BZ_API(BZ2_bzCompress) (
bz_stream* strm, bz_stream* strm,
int action int action
); );
BZ_EXTERN int BZ_API(BZ2_bzCompressEnd) ( BZ_EXTERN int BZ_API(BZ2_bzCompressEnd) (
bz_stream* strm bz_stream* strm
); );
BZ_EXTERN int BZ_API(BZ2_bzDecompressInit) ( BZ_EXTERN int BZ_API(BZ2_bzDecompressInit) (
bz_stream *strm, bz_stream *strm,
int verbosity, int verbosity,
int small int small
); );
BZ_EXTERN int BZ_API(BZ2_bzDecompress) ( BZ_EXTERN int BZ_API(BZ2_bzDecompress) (
bz_stream* strm bz_stream* strm
); );
BZ_EXTERN int BZ_API(BZ2_bzDecompressEnd) ( BZ_EXTERN int BZ_API(BZ2_bzDecompressEnd) (
bz_stream *strm bz_stream *strm
); );
@ -139,64 +139,64 @@ BZ_EXTERN int BZ_API(BZ2_bzDecompressEnd) (
typedef void BZFILE; typedef void BZFILE;
BZ_EXTERN BZFILE* BZ_API(BZ2_bzReadOpen) ( BZ_EXTERN BZFILE* BZ_API(BZ2_bzReadOpen) (
int* bzerror, int* bzerror,
FILE* f, FILE* f,
int verbosity, int verbosity,
int small, int small,
void* unused, void* unused,
int nUnused int nUnused
); );
BZ_EXTERN void BZ_API(BZ2_bzReadClose) ( BZ_EXTERN void BZ_API(BZ2_bzReadClose) (
int* bzerror, int* bzerror,
BZFILE* b BZFILE* b
); );
BZ_EXTERN void BZ_API(BZ2_bzReadGetUnused) ( BZ_EXTERN void BZ_API(BZ2_bzReadGetUnused) (
int* bzerror, int* bzerror,
BZFILE* b, BZFILE* b,
void** unused, void** unused,
int* nUnused int* nUnused
); );
BZ_EXTERN int BZ_API(BZ2_bzRead) ( BZ_EXTERN int BZ_API(BZ2_bzRead) (
int* bzerror, int* bzerror,
BZFILE* b, BZFILE* b,
void* buf, void* buf,
int len int len
); );
BZ_EXTERN BZFILE* BZ_API(BZ2_bzWriteOpen) ( BZ_EXTERN BZFILE* BZ_API(BZ2_bzWriteOpen) (
int* bzerror, int* bzerror,
FILE* f, FILE* f,
int blockSize100k, int blockSize100k,
int verbosity, int verbosity,
int workFactor int workFactor
); );
BZ_EXTERN void BZ_API(BZ2_bzWrite) ( BZ_EXTERN void BZ_API(BZ2_bzWrite) (
int* bzerror, int* bzerror,
BZFILE* b, BZFILE* b,
void* buf, void* buf,
int len int len
); );
BZ_EXTERN void BZ_API(BZ2_bzWriteClose) ( BZ_EXTERN void BZ_API(BZ2_bzWriteClose) (
int* bzerror, int* bzerror,
BZFILE* b, BZFILE* b,
int abandon, int abandon,
unsigned int* nbytes_in, unsigned int* nbytes_in,
unsigned int* nbytes_out unsigned int* nbytes_out
); );
BZ_EXTERN void BZ_API(BZ2_bzWriteClose64) ( BZ_EXTERN void BZ_API(BZ2_bzWriteClose64) (
int* bzerror, int* bzerror,
BZFILE* b, BZFILE* b,
int abandon, int abandon,
unsigned int* nbytes_in_lo32, unsigned int* nbytes_in_lo32,
unsigned int* nbytes_in_hi32, unsigned int* nbytes_in_hi32,
unsigned int* nbytes_out_lo32, unsigned int* nbytes_out_lo32,
unsigned int* nbytes_out_hi32 unsigned int* nbytes_out_hi32
); );
#endif #endif
@ -204,23 +204,23 @@ BZ_EXTERN void BZ_API(BZ2_bzWriteClose64) (
/*-- Utility functions --*/ /*-- Utility functions --*/
BZ_EXTERN int BZ_API(BZ2_bzBuffToBuffCompress) ( BZ_EXTERN int BZ_API(BZ2_bzBuffToBuffCompress) (
char* dest, char* dest,
unsigned int* destLen, unsigned int* destLen,
char* source, char* source,
unsigned int sourceLen, unsigned int sourceLen,
int blockSize100k, int blockSize100k,
int verbosity, int verbosity,
int workFactor int workFactor
); );
BZ_EXTERN int BZ_API(BZ2_bzBuffToBuffDecompress) ( BZ_EXTERN int BZ_API(BZ2_bzBuffToBuffDecompress) (
char* dest, char* dest,
unsigned int* destLen, unsigned int* destLen,
char* source, char* source,
unsigned int sourceLen, unsigned int sourceLen,
int small, int small,
int verbosity int verbosity
); );
@ -247,17 +247,17 @@ BZ_EXTERN BZFILE * BZ_API(BZ2_bzdopen) (
int fd, int fd,
const char *mode const char *mode
); );
BZ_EXTERN int BZ_API(BZ2_bzread) ( BZ_EXTERN int BZ_API(BZ2_bzread) (
BZFILE* b, BZFILE* b,
void* buf, void* buf,
int len int len
); );
BZ_EXTERN int BZ_API(BZ2_bzwrite) ( BZ_EXTERN int BZ_API(BZ2_bzwrite) (
BZFILE* b, BZFILE* b,
void* buf, void* buf,
int len int len
); );
BZ_EXTERN int BZ_API(BZ2_bzflush) ( BZ_EXTERN int BZ_API(BZ2_bzflush) (
@ -269,7 +269,7 @@ BZ_EXTERN void BZ_API(BZ2_bzclose) (
); );
BZ_EXTERN const char * BZ_API(BZ2_bzerror) ( BZ_EXTERN const char * BZ_API(BZ2_bzerror) (
BZFILE *b, BZFILE *b,
int *errnum int *errnum
); );
#endif #endif

View File

@ -8,8 +8,8 @@
This file is part of bzip2/libbzip2, a program and library for This file is part of bzip2/libbzip2, a program and library for
lossless, block-sorting data compression. lossless, block-sorting data compression.
bzip2/libbzip2 version 1.0.6 of 6 September 2010 bzip2/libbzip2 version 1.0.8 of 13 July 2019
Copyright (C) 1996-2010 Julian Seward <jseward@bzip.org> Copyright (C) 1996-2019 Julian Seward <jseward@acm.org>
Please read the WARNING, DISCLAIMER and PATENTS sections in the Please read the WARNING, DISCLAIMER and PATENTS sections in the
README file. README file.
@ -36,7 +36,7 @@
/*-- General stuff. --*/ /*-- General stuff. --*/
#define BZ_VERSION "1.0.6, 6-Sept-2010" #define BZ_VERSION "1.0.8, 13-Jul-2019"
typedef char Char; typedef char Char;
typedef unsigned char Bool; typedef unsigned char Bool;

View File

@ -8,8 +8,8 @@
This file is part of bzip2/libbzip2, a program and library for This file is part of bzip2/libbzip2, a program and library for
lossless, block-sorting data compression. lossless, block-sorting data compression.
bzip2/libbzip2 version 1.0.6 of 6 September 2010 bzip2/libbzip2 version 1.0.8 of 13 July 2019
Copyright (C) 1996-2010 Julian Seward <jseward@bzip.org> Copyright (C) 1996-2019 Julian Seward <jseward@acm.org>
Please read the WARNING, DISCLAIMER and PATENTS sections in the Please read the WARNING, DISCLAIMER and PATENTS sections in the
README file. README file.

View File

@ -8,8 +8,8 @@
This file is part of bzip2/libbzip2, a program and library for This file is part of bzip2/libbzip2, a program and library for
lossless, block-sorting data compression. lossless, block-sorting data compression.
bzip2/libbzip2 version 1.0.6 of 6 September 2010 bzip2/libbzip2 version 1.0.8 of 13 July 2019
Copyright (C) 1996-2010 Julian Seward <jseward@bzip.org> Copyright (C) 1996-2019 Julian Seward <jseward@acm.org>
Please read the WARNING, DISCLAIMER and PATENTS sections in the Please read the WARNING, DISCLAIMER and PATENTS sections in the
README file. README file.
@ -285,7 +285,7 @@ Int32 BZ2_decompress ( DState* s )
/*--- Now the selectors ---*/ /*--- Now the selectors ---*/
GET_BITS(BZ_X_SELECTOR_1, nGroups, 3); GET_BITS(BZ_X_SELECTOR_1, nGroups, 3);
if (nGroups < 2 || nGroups > 6) RETURN(BZ_DATA_ERROR); if (nGroups < 2 || nGroups > BZ_N_GROUPS) RETURN(BZ_DATA_ERROR);
GET_BITS(BZ_X_SELECTOR_2, nSelectors, 15); GET_BITS(BZ_X_SELECTOR_2, nSelectors, 15);
if (nSelectors < 1) RETURN(BZ_DATA_ERROR); if (nSelectors < 1) RETURN(BZ_DATA_ERROR);
for (i = 0; i < nSelectors; i++) { for (i = 0; i < nSelectors; i++) {
@ -296,8 +296,14 @@ Int32 BZ2_decompress ( DState* s )
j++; j++;
if (j >= nGroups) RETURN(BZ_DATA_ERROR); if (j >= nGroups) RETURN(BZ_DATA_ERROR);
} }
s->selectorMtf[i] = j; /* Having more than BZ_MAX_SELECTORS doesn't make much sense
since they will never be used, but some implementations might
"round up" the number of selectors, so just ignore those. */
if (i < BZ_MAX_SELECTORS)
s->selectorMtf[i] = j;
} }
if (nSelectors > BZ_MAX_SELECTORS)
nSelectors = BZ_MAX_SELECTORS;
/*--- Undo the MTF values for the selectors. ---*/ /*--- Undo the MTF values for the selectors. ---*/
{ {

View File

@ -1,9 +1,10 @@
<!-- misc. strings --> <!-- misc. strings -->
<!ENTITY bz-url "http://www.bzip.org"> <!ENTITY bz-url "https://sourceware.org/bzip2/">
<!ENTITY bz-email "jseward@bzip.org"> <!ENTITY bz-author "jseward@acm.org">
<!ENTITY bz-lifespan "1996-2010"> <!ENTITY bz-email "bzip2-devel@sourceware.org">
<!ENTITY bz-lifespan "1996-2019">
<!ENTITY bz-version "1.0.6"> <!ENTITY bz-version "1.0.8">
<!ENTITY bz-date "6 September 2010"> <!ENTITY bz-date "13 July 2019">
<!ENTITY manual-title "bzip2 Manual"> <!ENTITY manual-title "bzip2 Manual">

View File

@ -4,8 +4,8 @@
# This file is part of bzip2/libbzip2, a program and library for # This file is part of bzip2/libbzip2, a program and library for
# lossless, block-sorting data compression. # lossless, block-sorting data compression.
# #
# bzip2/libbzip2 version 1.0.6 of 6 September 2010 # bzip2/libbzip2 version 1.0.8 of 13 July 2019
# Copyright (C) 1996-2010 Julian Seward <jseward@bzip.org> # Copyright (C) 1996-2019 Julian Seward <jseward@acm.org>
# #
# Please read the WARNING, DISCLAIMER and PATENTS sections in the # Please read the WARNING, DISCLAIMER and PATENTS sections in the
# README file. # README file.

View File

@ -8,8 +8,8 @@
This file is part of bzip2/libbzip2, a program and library for This file is part of bzip2/libbzip2, a program and library for
lossless, block-sorting data compression. lossless, block-sorting data compression.
bzip2/libbzip2 version 1.0.6 of 6 September 2010 bzip2/libbzip2 version 1.0.8 of 13 July 2019
Copyright (C) 1996-2010 Julian Seward <jseward@bzip.org> Copyright (C) 1996-2019 Julian Seward <jseward@acm.org>
Please read the WARNING, DISCLAIMER and PATENTS sections in the Please read the WARNING, DISCLAIMER and PATENTS sections in the
README file. README file.

View File

@ -9,8 +9,8 @@
This file is part of bzip2/libbzip2, a program and library for This file is part of bzip2/libbzip2, a program and library for
lossless, block-sorting data compression. lossless, block-sorting data compression.
bzip2/libbzip2 version 1.0.6 of 6 September 2010 bzip2/libbzip2 version 1.0.8 of 13 July 2019
Copyright (C) 1996-2010 Julian Seward <jseward@bzip.org> Copyright (C) 1996-2019 Julian Seward <jseward@acm.org>
Please read the WARNING, DISCLAIMER and PATENTS sections in the Please read the WARNING, DISCLAIMER and PATENTS sections in the
README file. README file.

View File

@ -8,8 +8,8 @@
This file is part of bzip2/libbzip2, a program and library for This file is part of bzip2/libbzip2, a program and library for
lossless, block-sorting data compression. lossless, block-sorting data compression.
bzip2/libbzip2 version 1.0.6 of 6 September 2010 bzip2/libbzip2 version 1.0.8 of 13 July 2019
Copyright (C) 1996-2010 Julian Seward <jseward@bzip.org> Copyright (C) 1996-2019 Julian Seward <jseward@acm.org>
Please read the WARNING, DISCLAIMER and PATENTS sections in the Please read the WARNING, DISCLAIMER and PATENTS sections in the
README file. README file.

View File

@ -13,8 +13,8 @@
This file is part of bzip2/libbzip2, a program and library for This file is part of bzip2/libbzip2, a program and library for
lossless, block-sorting data compression. lossless, block-sorting data compression.
bzip2/libbzip2 version 1.0.6 of 6 September 2010 bzip2/libbzip2 version 1.0.8 of 13 July 2019
Copyright (C) 1996-2010 Julian Seward <jseward@bzip.org> Copyright (C) 1996-2019 Julian Seward <jseward@acm.org>
Please read the WARNING, DISCLAIMER and PATENTS sections in the Please read the WARNING, DISCLAIMER and PATENTS sections in the
README file. README file.

View File

@ -17,8 +17,8 @@
This file is part of bzip2/libbzip2, a program and library for This file is part of bzip2/libbzip2, a program and library for
lossless, block-sorting data compression. lossless, block-sorting data compression.
bzip2/libbzip2 version 1.0.6 of 6 September 2010 bzip2/libbzip2 version 1.0.8 of 13 July 2019
Copyright (C) 1996-2010 Julian Seward <jseward@bzip.org> Copyright (C) 1996-2019 Julian Seward <jseward@acm.org>
Please read the WARNING, DISCLAIMER and PATENTS sections in the Please read the WARNING, DISCLAIMER and PATENTS sections in the
README file. README file.

View File

@ -1,5 +1,5 @@
Checking test results. If any of the four "cmp"s which follow Checking test results. If any of the four "cmp"s which follow
report any differences, something is wrong. If you can't easily report any differences, something is wrong. If you can't easily
figure out what, please let me know (jseward@bzip.org). figure out what, please let me know (jseward@acm.org).

View File

@ -5,8 +5,8 @@
# This file is part of bzip2/libbzip2, a program and library for # This file is part of bzip2/libbzip2, a program and library for
# lossless, block-sorting data compression. # lossless, block-sorting data compression.
# #
# bzip2/libbzip2 version 1.0.6 of 6 September 2010 # bzip2/libbzip2 version 1.0.8 of 13 July 2019
# Copyright (C) 1996-2010 Julian Seward <jseward@bzip.org> # Copyright (C) 1996-2019 Julian Seward <jseward@acm.org>
# #
# Please read the WARNING, DISCLAIMER and PATENTS sections in the # Please read the WARNING, DISCLAIMER and PATENTS sections in the
# README file. # README file.